Cover

Synway SMG Series Recording Server

SMGREC

SMG Gateway Recording Server

User Manual

Version 1.0.0

Synway Information Engineering Co., Ltd

www.synway.net


Content

Content i

Copyright Declaration. ii

Revision History. iii

Chapter 1 Product Introduction. 1

1.1 Typical Application.. 1

1.2 Feature List 1

Chapter 2 Quick Guide. 3

Chapter 3 WEB Configuration. 4

3.1 System Login.. 4

3.2 Homepage. 5

3.2.1 Operation Info. 6

3.3 Recording Query. 7

3.3.1 Recording Query. 7

3.3.2 Statistics Report 9

3.4 Recording Management 10

3.4.1 Disk Management 10

3.5 User Management 10

3.5.1 User Management 11

3.6 Authentication Management 12

3.6.1 Authentication Management 13

3.7 Change Password. 14

3.7.1 Change Password. 14

3.8 System Tools. 15

3.8.1 Management 15

3.8.2 Operation Log. 16

3.8.3 Data Capture. 16

3.8.4 Configuration File. 17

3.8.5 Upgrade. 18

3.8.6 Restart 18

Appendix A Technical/sales Support 19


Copyright Declaration

All rights reserved; no part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, without prior written permission from Synway Information Engineering Co., Ltd (hereinafter referred to as ‘Synway’).

Synway reserves all rights to modify this document without prior notice. Please contact Synway for the latest version of this document before placing an order.

Synway has made every effort to ensure the accuracy of this document but does not guarantee the absence of errors. Moreover, Synway assumes no responsibility in obtaining permission and authorization of any third party patent, copyright or product involved in relation to the use of this document.


Revision History

Version | Date | Comments
Version 1.0.0 | 2017-8 | Initial publication

Note: Please visit our website http://www.synway.net to obtain the latest version of this document.


Chapter 1 Product Introduction

Thank you for choosing the SMG series recording server (hereinafter referred to as ‘SMGREC server’). The SMGREC server provides the features of recording the communication data on digital gateways, saving them into files, querying and doing statistics on them, supporting authority management, quick data insertion and inquiry, file download, etc.. What’s more, it allows online management, that is, users can do such operations as modifying configurations, checking real-time status, querying recording files all through the WEB. The SMGREC server has the capability to record the communication data on multiple digital gateways simultaneously.


1.1 Typical Application

Figure 1‑1 Typical Application


1.2 Feature List

Feature | Description
Recording Inquiry | Support of query with single or multiple conditions
 | Query conditions include caller number, called number, recording time, recording length, call direction, etc.
 | Query results can be exported to Excel
 | Remarks can be added on recording items
 | Recording files can be played or downloaded
Statistical Report | Support of statistics with single or multiple conditions, including: caller number, called number, recording time, call direction, recording length, etc.
 | Statistical reports can be exported to excel
User Management | User information can be added, deleted or modified. There is no limit on the number of system users
 | Different authorities can be customized for different WEB users
Disk Management | Support of setting the reserved space of disk and the path for automatic disk backup
Recording Authentication | Support of recording devices’ registration and authentication.
Security | Description
Admin Authentication | Support admin authentication to guarantee the resource and data security
Maintain & Upgrade | Description
WEB Configuration | Support of configurations through the WEB user interface
Language | Chinese, English
Software Upgrade | Support of user interface, recording service, monitor application and database based on WEB
Operation Log | Trace the operation details on WEB


Chapter 2 Quick Guide

This chapter is intended to help you grasp the basic operations of the SMGREC server in the shortest time.

Step 1: Prepare a PC installed with Linux OS (Centos 6.5 or Centos 7.2) to work as a SMGREC server.

Step 2: Install the SMGREC Server package provided by Synway.

Step 3: Log on to the recording server.

Enter the IP address of the SMGREC server into the browser to go to the recording system. The original username and password are both ‘admin’. For detailed instructions about login, refer to 3.1 System Login. We suggest you change the initial username and password via ‘Change PW’ on the WEB interface as soon as possible after your first login. For detailed instructions about changing the password, refer to 3.7.1 Change Password. After changing the password, you are required to log in again.

Step 4: Add authenticated users.

You can add the authentication information via ‘Authentication à Authentication’ on the WEB interface. Refer to 3.6.1 Authentication Manage for detailed instructions.

After adding the authentication information, you can start the recording service via ‘System Tools à Recording Manage’ and fill in the correct authentication information and the recording server IP to connect the recording server and start the recording.


Chapter 3 WEB Configuration


3.1 System Login

Type the IP address into the browser and enter the login interface. See Figure 3‑1.

Figure 3‑1 Login Interface

The SMGREC server only serves one user, whose original username and password are both ‘admin’. And only the password can be changed after your login. For detailed instructions, refer to 3.7.1 Change Password .

After login, you can see the main interface as below.

Figure 3‑2 Main Interface


3.2 Homepage

See Figure 3‑3 for the home page interface, which displays the operation information of the SMGREC server.

Figure 3‑3 Homepage Interface


3.2.1 Operation Info

Figure 3‑4 Operation Info Interface

See Figure 3‑4 for the operation info interface, which displays the runtime, the server version, the amount of connected gateways and the information about them. The table below explains the items shown in Figure 3‑4.

Item | Description
Runtime | Time of the SMGREC server keeping running normally after startup. This parameter updates every 2s.
CPU Usage Rate | Display the real-time usage rate of CPU.
Current Memory | Display the total memory, the used memory and the memory usage rate.
Total Connected Gateways | The total amount of connected gateways.
Gateway Type | The exact type of the connected gateway.
Serial Number | The serial number of the connected gateway.
IP Address | The IP address of the connected gateway.
Total Recording Channels | The total amount of channels available for recording.
Channels being Recorded | The amount of channels being recorded.
Connection Time | Display the time of connecting the gateway to the SMGREC server.
WEB | Current version of the WEB interface used by the SMGREC server.


3.3 Recording Query

Figure 3‑5 Recording Query Interface

Recording inquiry include two parts: Recording Query and Statistics Report. The part Recording Query provides multiple items for users to find the needed recording files rapidly. The part Statistics Report is used to count the inquiries and the records on the recording files.


3.3.1 Recording Query

Figure 3‑6 Recording Query Interface

See Figure 3‑6 for the recording query interface. Users can query the recording files by using the combination of multiple query conditions. The table below explains the query items in Figure 3‑6.

Item | Description
Start Date; Start Time; End Date; End Time | Time period of the recording, including time and date. For example, the recording in the above figure is required to start from 2017-07-21 00:00:00 and end at 2017-07-24 23:59:59. Please note that the end time and date should not be earlier than the start time and date.
Call Direction | Select a direction to start recording. Three options are available: All, IPàPSTN, PSTNàIP. The default value is All.
Recording Length | Time length of a recording, used as a condition to filter recoding files. Three options Unlimited, Longer than and Shorter than are available. The default value is Unlimited, which means there is no limit on this item. To choose Longer than or Shorter than, you should enter the exact time length in the edit box (calculated by s). Once set, only the qualified recordings will be displayed.
CallerID; CalleeID | Used as a condition to filter recoding files. Just enter the number you want to query.
Gateway Serial No. | Input a serial No. and use it as a condition to filter recording files.
Sort by | Determines the sort order of the query result. It can be the ascending or descending order in Recording Time and Recording Length, with the default value of the ascending order in Recording Time.
Codecs | Used as a condition to filter recording files according to their recording codecs.
Remarks | Remarks in the recording, used as a condition to filter recording files.

After the configuration of all above query items, click ‘Inquiry’ to obtain the query results (See Figure 3‑7); click ‘Reset’ to restore the configurations.

Figure 3‑7 Recording Query Results

The recording query results include Gateway Serial No., Call Direction, CallerID, CalleeID, Codecs, Start Time, Recording Length and Remarks of each recording item. On this interface, users can do the following operations:

Operation | Description
Export | Export the query results to Excel. Up to 3 millions items can be exported.
Play | Play the recording file. See Figure 3‑8 for the player interface. The icon in the Play column has two colors: blue indicates that the recording file has not been played; orange indicates it has been played.
Download | Download the recording file to local.
Click ‘Remarks’ Link | Modify the remarks.

The recording file player interface:

Figure 3‑8 Recording File Player Interface

Note: If your current browser fails to play the audio file as it can not well support the playing plugin, please change to another browser and try again.


3.3.2 Statistics Report

Figure 3‑9 Statistics Report Interface

See Figure 3‑9 for the statistics report interface. Statistical Report provides multiple terms and term combinations for recording inquiry and statistics. Click Count to search the reports (up to 3 millions pieces) satisfying the conditions; click Reset to restore the configurations. The table below explains the items in Figure 3‑9.

Item | Description
Start Date; Start Time; End Date; End Time | Time period of the recording, including time and date. For example, the recording in the above figure is required to start from 2017-07-21 00:00:00 and end at 2017-07-24 23:59:59. Please note that the end time and date should not be earlier than the start time and date.
Call Direction | Select a direction to start recording. Three options are available: All, IPàPSTN, PSTNàIP. The default value is All.
Recording Length | Time length of the recording, used as a condition to filter recoding files. Three options Unlimited, Longer than and Shorter than are available. The default value is Unlimited, which means there is no limit on this item. To choose Longer than or Shorter than, you should enter the exact time length in the edit box (calculated by s). Once set, only the qualified recordings will be displayed.
CallerID; CalleeID | Used as a condition to filter recoding files. Just enter the number you want to query.
Gateway Serial No. | Input a serial No. and use it as a condition to filter recording files.
Grouping Check | Determines the display mode of the query result. It can be grouped by gateway serial No., CallerID, CalleeID.

After the configuration of the above terms, click Count to obtain the statistical report (see Figure 3‑10); click Reset to restore the configurations.

Figure 3‑10 Statistics Result Interface

The statistical report contains three parts: Amount, Percentage (the recording files for certain serial number or callerID/calleeID to the total recording files) and Length.


3.4 Recording Management

Recording Management is used to manage the configuration concern with the recording data. Here it mainly contains Disk Management, See Figure 3‑11.

Figure 3‑11 Recording Management Interface


3.4.1 Disk Management

Figure 3‑12 Disk Management Interface

See Figure 3‑12 for the disk management interface. The above list shows the information of all storable disks, including name, path, type, file format, total capacity, used capacity and available capacity. The table below explains the above items in Figure 3‑12.

Item | Description
Reserved Block Space of Each Disk | Sets the available space size of the disk, with the default value of 20480. The value cannot be less than 20480MB.
Byte Auto-deleted | Part of the data will be removed automatically once the disk space is detected full by the recording server. Calculated by MB, with the default value of 1024.
Update Database after Auto File Deletion | Sets whether the recording server upgrades the database or not once a recording file is deleted.
Saving Path | Sets the path to save the recording data automatically.

After configuration, click Save to save the above settings into the server. Click Reset to restore the configurations.


3.5 User Management

See Figure 3‑13 for the User Management interface, which is used to manage the users who own the access authorities of the WEB as well as their authorities.

Figure 3‑13 User Management Interface


3.5.1 User Management

By default, there is no user information available on the server. Click Add New to add them manually. See Figure 3‑14 for the user information adding interface.

Figure 3‑14 User Info Adding Interface

The table below explains the above items in Figure 3‑14.

Item | Descriptions
User Name | Administrator name displayed on the user management interface. It is also the login name of the user. Note: The administrator name to be added cannot be the existent one, like admin.
New Password | Login password of the user.
Confirm Password | Enter the login password again.
Rec Query | Refer to 3.3 Recording Query. Only the users with this authority can do configurations in the system setting column and go into the recording query and statistics report interface.
Rec Manage | Refer to 3.4 Recording Management. Only the users with this authority can see this column on the menu and set the corresponding configuration on disk.
User Manage | Only the users with this authority can see this column on the menu and do the corresponding operations. Note: The user who owns this authority can modify the password of other users.
Authentication | Refer to 3.6 Authentication Manage. Only the users with this authority can see this column on the menu and configure the items about authentication information.
System Tools | Refer to 3.8 System Tools. Only the users with this authority can see this column on the menu and configure the items about the system.

After configuration, click Save to save the above settings into the database; click Close to cancel the settings. See Figure 3‑15 for the user list interface.

Figure 3‑15 User List Interface

Click Modify in Figure 3‑15 to modify the user information. See Figure 3‑16 for the user info modification interface. The configurations on this interface are the same as those on the user info adding interface.

Figure 3‑16 User Info Modification Interface

To delete a user, tick the checkbox before username in Figure 3‑15 and click the Delete button. Check All means to select all available items in the current page; Uncheck All means to cancel all selections in the current page; Inverse means to uncheck the selected items and check the unselected.


3.6 Authentication Management

See Figure 3‑17 for the authentication management interface, which provides such features as authentication accounts adding or deletion, password modification and the registration status display, etc. Users can create an authentication account via this interface and the digital gateway can connect to the recording server by adding this authentication information.

Figure 3‑17 Authentication Management Interface


3.6.1 Authentication Management

By default, there is no authentication information available on the gateway. Click Add New to add them manually. See Figure 3‑18 for the authentication information adding interface.

Figure 3‑18 Authentication Information Adding Interface

The table below explains the above items in Figure 3‑18.

Item | Description
Name | The authentication name used for the digital gateway to connect the recording server.
Password | Login password of the authentication account.
Confirm Password | Enter the login password again.

After configuration, click Save to save the above settings into the server. Click Close to cancel them. See Figure 3‑19 for the authentication information list.

Figure 3‑19 Authentication Information List Interface

Click Modify in Figure 3‑19 to modify the authentication information. See Figure 3‑20 for the authentication modification interface. The configurations on this interface are the same as those on the authentication info adding interface.

Figure 3‑20 Authentication Modification Interface

To delete a user account, tick the checkbox before username in Figure 3‑19 and click the Delete button. Check All means to select all available items in the current page; Uncheck All means to cancel all selections in the current page; Inverse means to uncheck the selected items and check the unselected.


3.7 Change Password

See Figure 3‑21 for the Change Password interface, which provides the interface for the users to modify the login password.

Figure 3‑21 Change Password Interface


3.7.1 Change Password

Figure 3‑22 Password Modification Interface

See Figure 3‑22 for the Password Changing interface where you can change the password of the recording server. Enter the current password, the new password, and then confirm the new password. After configuration, click Save to apply the new password or click Reset to restore the configurations. After changing the password, you are required to log in again.

The users can only modify their own passwords. They can ask the super administrator to help modifying their passwords if the initial passwords are forgotten.


3.8 System Tools

System Tools is mainly for recording server maintenance. It provides such features as operation logs, system update and restart. See Figure 3‑23 for details.

Figure 3‑23 System Settings


3.8.1 Management

Figure 3‑24 Management Parameters Setting Interface

See Figure 3‑24 for the Management Parameters interface. The table below explains the above items in Figure 3‑24.

Item | Description
WEB Port | The port which is used to access the gateway via WEB. The default value is 80.
Log Level | Sets the level of the Debug log. There are four options: Close, ERROR, WARNING and INFO, with the default value of WARNING.
Max Logs to be Saved | Sets the max number of logs to be saved, with the default value of 10. Up to 100 pieces of logs can be saved.
Single File Size | Sets the size of a single output log. Value range: 1~200, with the default value of 100.

After configuration, click Save to save the settings into the recording server; click Reset to restore the configurations.


3.8.2 Operation Log

Figure 3‑25 Operating Log Interface

See Figure 3‑25 for the operating log interface. It shows the exact operations of the WEB users, helping the administrator to get the thorough information about the use of the recording management software. The logged operations are sorted by the descending order in operating time, i.e. the newer the operation is, the higher it will be ranked on the WEB page.


3.8.3 Data Capture

Figure 3‑26 Data Capture Interface

See Figure 3‑26 for the Data Capture interface. Data Capture is used to capture data on the network interface you choose. Click Start to start capturing data on the corresponding network interface. Click Stop to stop data capture and download the captured packets.

Click Download Log to download such logs as core files, configuration files, error information and so on.


3.8.4 Configuration File

Figure 3‑27 Configuration File Interface

See Figure 3‑27 for the Configuration File interface. You can check and modify the configuration items of the recording server through this interface. You can modify these configurations on the interface directly, and then click Save to save the above settings into the recording server or click Reset to restore the configurations.


3.8.5 Upgrade

Figure 3‑28 Upgrade Interface

See Figure 3‑28 for the upgrade interface where you can upgrade the WEB, recording service and database to new versions. Select the upgrade package “*.tar.gz” via Browse… and click Update. Click Reset to cancel the uploading file. Note that clicking Reset can only delete the selected update file but not cancel the operation of Update.


3.8.6 Restart

Figure 3‑29 Service/System Restart Interface

See Figure 3‑29 for the Restart interface. Click Restart on the service restart interface to restart the recording service or click Restart on the system restart interface to restart the server where the recording service locates.


Appendix A Technical/sales Support

Thank you for choosing Synway. Please contact us should you have any inquiry regarding our products. We shall do our best to help you.

Headquarters

Synway Information Engineering Co., Ltd

http://www.synway.net/

9F, Synway D&R Center, No.3756, Nanhuan Road, Binjiang District, Hangzhou, P.R.China, 310053

Tel: +86-571-88860561

Fax: +86-571-88850923

Wechat QR Code: Scan the QR code below to add us on Wechat.

Technical Support

Tel: +86-571-88864579

Mobile: +86-18905817070

Email: techsupport@sanhuid.com

Email: techsupport@synway.net

MSN: synway.support@hotmail.com

Sales Department

Tel: +86-571-88860561

Tel: +86-571-88864579

Fax: +86-571-88850923

Email: sales@synway.net